proc factoid(n,k,p);
	@ calculates the probability that in n trials with probability of success p
		there are k successes @
local res,i;
res = 1;
if k > 0;
	i = 0;
	do until i  == k;
		res = res *(n - i);
	i = i + 1;
	endo;
	res = res / k!;
endif;
res = res * (p^k) * (1 - p)^(n-k);
retp(res);
endp;

proc cumul(n,k,p);
	@ calculates the probability that in n trials with probability of success p there are k
	 	or fewer successes @
local res,i;
res = 0;
i = 0;
do until i > k;
	res = res + factoid(n,i,p);
i = i + 1;
endo;
retp(res);
endp;

junk = cumul(17,14,.99); junk;

